<?php

require 'constants.php';
require 'config.php';
require 'class_queue.php';
require 'class_song.php';
require 'functions.php';

// Make our PDO database connection which will be used in all scripts
$globaldbh = new PDO("mysql:host=" . DBHOST . ";dbname=" . DBNAME, DBUSER, DBPASS);

if ( php_sapi_name() != "cli" ) {

   // Start the session
   session_name('homeaudio');
   session_start();

   // This session variable contains the ID of the current queueing target
   if ( !isset($_SESSION['queuetarget']) ) {
      $_SESSION['queuetarget'] = 0;
   }
}


?>
